<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="welcome-styles.css" />
    <title>Welcome</title>
    <script>
      function clickHandler() {
        document.getElementById('error-message').textContent = "";

        if ((document.getElementById('player1-name').value === "") && (document.getElementById('player2-name').value === "")){
          document.getElementById('error-message').textContent = "Please enter player names";
        } else if ((document.getElementById('player1-name').value === "")) {
          document.getElementById('error-message').textContent = "Please enter player names";
        } else if ((document.getElementById('player2-name').value === "")) {
          // play the robot
          window.localStorage.setItem('player1', document.getElementById('player1-name').value);
          window.localStorage.setItem('player2', 'Robbie the Robot');
          window.location.href="/game";
        } else {
          window.localStorage.setItem('player1', document.getElementById('player1-name').value);
          window.localStorage.setItem('player2', document.getElementById('player2-name').value);
          window.location.href="/game";
        }
      }
    </script>
  </head>
  <body>
    <div class="container">
      <h2 data-testid="title" class="heading">Welcome</h2>
      <div id="error-message" style="color: red;"></div>
      <label data-testid="player1-label">Player 1</label>
      <input id="player1-name" data-testid="player1-name"></input>
      <label data-testid="player2-label">Player 2</label>
      <input id="player2-name" data-testid="player2-name"></input>
    <input type="submit" value="Start" onclick="clickHandler()"></input>
  </div>
  </body>
</html>
